diff -rc xfce-3.8.8b.orig/scripts/xflock xfce-3.8.8b/scripts/xflock
*** xfce-3.8.8b.orig/scripts/xflock	Sat Sep  8 11:10:46 2001
--- xfce-3.8.8b/scripts/xflock	Thu Sep 20 08:59:23 2001
***************
*** 19,23 ****
  #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  #
  
! xscreensaver-command -lock || xlock $*
  exit 0
--- 19,30 ----
  #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  #
  
! me=`id -un`
! xalid=`ps -u $me | grep xautolock | grep -v grep`
! if [ "x$xalid" != "x" ]; then
!   ${HOME}/bin/xautolock -locknow
! else
!   exec xlock -resetsaver -mosemotion -mode random ${1:+"$*"}
! fi
  exit 0
+ # EOF
\ No newline at end of file
diff -rc xfce-3.8.8b.orig/xfce/minpower.h xfce-3.8.8b/xfce/minpower.h
*** xfce-3.8.8b.orig/xfce/minpower.h	Sat Sep  8 11:10:46 2001
--- xfce-3.8.8b/xfce/minpower.h	Thu Sep 20 08:48:54 2001
***************
*** 1,27 ****
  /* XPM */
  static char *minpower[] = {
  /* width height num_colors chars_per_pixel */
!   "    14    16        4            1",
  /* colors */
!   ". c none",
!   "# c #595959",
!   "a c #183c59",
!   "b c #fff7f7",
  /* pixels */
!   ".....###b.....",
!   ".....#aab.....",
!   ".....#aab.....",
!   "..##b#aab###..",
!   ".#aab#aab#aab.",
!   "#aaab#aab#aaab",
!   "#aab.#aab.#aab",
!   "#aab.#aab.#aab",
!   "#aab.bbbb.#aab",
!   "#aab......#aab",
!   "#aab......#aab",
!   "#aaab....#aaab",
!   ".#aaa####aaab.",
!   ".#aaaaaaaaaab.",
!   "..bbaaaaaabb..",
!   "....bbbbbb...."
  };
--- 1,30 ----
  /* XPM */
  static char *minpower[] = {
  /* width height num_colors chars_per_pixel */
! "    24    17        6            1",
  /* colors */
! ". c none",
! "# c #5d6169",
! "a c #dfdfdf",
! "b c #bebebe",
! "c c #414141",
! "d c #202020",
  /* pixels */
! "########################",
! "#aaaaaaaaaaaaaaaaaaaaaaa",
! "#abbbbbbbbbbbbbbbbbbbbca",
! "#abddddbdbbbdbcbdddddbca",
! "#abdbbbbdbbbdbdbbbdbbbca",
! "#abdbbbbbdbdbbdbbbdbbbca",
! "#abdbbbbbdddbbdbbbdbbbca",
! "#abdbbbbbbdbbbdbbbdbbbca",
! "#abdddbbbbdbbbdbbbdbbbca",
! "#abdbbbbbdddbbdbbbdbbbca",
! "#abdbbbbbdbdbbdbbbdbbbca",
! "#abdbbbbbdbdbbdbbbdbbbca",
! "#abdbbbbdbbbdbdbbbdbbbca",
! "#abddddbdbbbdbdbbbdbbbca",
! "#abbbbbbbbbbbbbbbbbbbbca",
! "caccccccccccccccccccccca",
! "caaaaaaaaaaaaaaaaaaaaaaa"
  };
diff -rc xfce-3.8.8b.orig/xfce/xfce.c xfce-3.8.8b/xfce/xfce.c
*** xfce-3.8.8b.orig/xfce/xfce.c	Sat Sep  8 11:10:46 2001
--- xfce-3.8.8b/xfce/xfce.c	Thu Sep 20 08:47:50 2001
***************
*** 696,702 ****
    gtk_container_add (GTK_CONTAINER (gxfce_quit), gxfce_quit_pixmap);
  
    gxfce_quit_tooltip = my_tooltips_new (current_config.tooltipsdelay);
!   gtk_tooltips_set_tip (gxfce_quit_tooltip, gxfce_quit, _("Quit"), "ContextHelp/buttons/?");
    gtk_object_set_data (GTK_OBJECT (gxfce), "tooltips", gxfce_quit_tooltip);
  
    gtk_table_attach (GTK_TABLE (gxfce_rightbuttons_table), gxfce_quit, 0, 1, 1, 2, (GtkAttachOptions) GTK_EXPAND | GTK_FILL | GTK_SHRINK, (GtkAttachOptions) GTK_EXPAND | GTK_SHRINK, 0, 0);
--- 696,702 ----
    gtk_container_add (GTK_CONTAINER (gxfce_quit), gxfce_quit_pixmap);
  
    gxfce_quit_tooltip = my_tooltips_new (current_config.tooltipsdelay);
!   gtk_tooltips_set_tip (gxfce_quit_tooltip, gxfce_quit, _("Exit"), "ContextHelp/buttons/?");
    gtk_object_set_data (GTK_OBJECT (gxfce), "tooltips", gxfce_quit_tooltip);
  
    gtk_table_attach (GTK_TABLE (gxfce_rightbuttons_table), gxfce_quit, 0, 1, 1, 2, (GtkAttachOptions) GTK_EXPAND | GTK_FILL | GTK_SHRINK, (GtkAttachOptions) GTK_EXPAND | GTK_SHRINK, 0, 0);
Only in xfce-3.8.8b/xfce: xfce.c.orig
diff -rc xfce-3.8.8b.orig/xfce.spec xfce-3.8.8b/xfce.spec
*** xfce-3.8.8b.orig/xfce.spec	Thu Sep 20 04:53:29 2001
--- xfce-3.8.8b/xfce.spec	Thu Sep 20 08:57:10 2001
***************
*** 15,22 ****
  Group: 		User Interface/Desktops
  Source:		http://www.xfce.org/archive/%{name}-%{version}.tar.gz
  Buildroot: 	/var/tmp/%{name}-root
! # Requires: 	xscreensaver, xfce-libs, gtk+ >= 1.2.8
! Requires: 	xscreensaver, gtk+ >= 1.2.8
  Packager:	Olivier Fourdan <fourdan@xfce.org>
  
  %description
--- 15,22 ----
  Group: 		User Interface/Desktops
  Source:		http://www.xfce.org/archive/%{name}-%{version}.tar.gz
  Buildroot: 	/var/tmp/%{name}-root
! # Requires: 	xfce-libs, gtk+ >= 1.2.8
! Requires: 	gtk+ >= 1.2.8
  Packager:	Olivier Fourdan <fourdan@xfce.org>
  
  %description
